package ca.recrown.islandsurvivalcraft.world.generation;

import java.util.Random;

import org.bukkit.util.noise.SimplexOctaveGenerator;

class TemperatureMapGenerator {
    private final double frequency = 0.5D;
    private final double amplitude = 0.22D;

    private SimplexOctaveGenerator noiseGenerator;

    public void setSeed(long seed) {
        noiseGenerator = new SimplexOctaveGenerator(new Random(seed), 4);
        noiseGenerator.setScale(0.0008D);
    }

    public float getTemperature(int worldX, int worldZ) {
        return (float) noiseGenerator.noise(worldX, worldZ, frequency, amplitude, true);
    }
}